@model SiteGuide.Web.ViewComponents.LoginMenuModel
@using Microsoft.AspNetCore.Identity
@using SiteGuide.Service.Helpers
@inject SignInManager<IdentityUser> SignInManager
@inject UserManager<IdentityUser> UserManager

<ul class="navbar-nav">
    <li class="nav-item dropdown profile" title="@(SignInManager.IsSignedIn(User) ? User.Identity.Name : "Not signed in")">
        <a class="nav-link nav dropdown-toggle" href="#" id="navbarDropdown" role="button" data-toggle="dropdown" aria-haspopup="true" aria-expanded="false">
            @(SignInManager.IsSignedIn(User) ? User.Identity.Name.Split('@').First() : "")
            <svg viewBox="0 0 26 26" width="24">
                <path d="@(SignInManager.IsSignedIn(User)
                    ? "M25,13 C 25,6.3833008 19.617187,1 13,1 6.3828125,1 1,6.3833008 1,13 c 0,3.383606 1.413208,6.43866 3.673645,8.622253 0.052918,0.06891 0.1156006,0.124756 0.1889648,0.171814 C 7.0038452,23.776916 9.8582764,25 13,25 c 3.141724,0 5.996155,-1.223084 8.13739,-3.205933 0.07336,-0.04706 0.136047,-0.102905 0.188965,-0.171814 C 23.586792,19.43866 25,16.383606 25,13 Z M 13,2.5 c 5.790039,0 10.5,4.7104492 10.5,10.5 0,2.454956 -0.853271,4.710815 -2.270264,6.500854 -0.650512,-2.097839 -2.507629,-3.740112 -5.028137,-4.495788 1.373596,-0.99408 2.272034,-2.604614 2.272034,-4.4245 0,-3.0141598 -2.455078,-5.4663082 -5.473633,-5.4663082 -3.0185547,0 -5.4736328,2.4521484 -5.4736328,5.4663082 0,1.819886 0.8984375,3.43042 2.2720337,4.4245 C 7.2778931,15.760742 5.4207764,17.403015 4.7702637,19.500854 3.3532715,17.710815 2.5,15.454956 2.5,13 2.5,7.2104492 7.2099609,2.5 13,2.5 Z"
                    : "M25,13c0-6.6166992-5.3828125-12-12-12S1,6.3833008,1,13c0,3.383606,1.413208,6.4386597,3.673645,8.6222534  c0.0529175,0.0689087,0.1156006,0.1247559,0.1889648,0.171814C7.0038452,23.7769165,9.8582764,25,13,25  s5.9961548-1.2230835,8.1373901-3.2059326c0.0733643-0.0470581,0.1360474-0.1029053,0.1889648-0.171814  C23.586792,19.4386597,25,16.383606,25,13z M13,2.5c5.7900391,0,10.5,4.7104492,10.5,10.5  c0,2.4549561-0.8532715,4.7108154-2.2702637,6.5008545c-0.6505127-2.0978394-2.5076294-3.7401123-5.0281372-4.4957886  c1.3735962-0.9940796,2.2720337-2.6046143,2.2720337-4.4244995c0-3.0141602-2.4550781-5.4663086-5.4736328-5.4663086  s-5.4736328,2.4521484-5.4736328,5.4663086c0,1.8198853,0.8984375,3.4304199,2.2720337,4.4244995  c-2.5205078,0.7556763-4.3776245,2.3979492-5.0281372,4.4957886C3.3532715,17.7108154,2.5,15.4549561,2.5,13  C2.5,7.2104492,7.2099609,2.5,13,2.5z M9.0263672,10.5805664c0-2.1870117,1.7822266-3.9663086,3.9736328-3.9663086  s3.9736328,1.7792969,3.9736328,3.9663086S15.1914063,14.546875,13,14.546875S9.0263672,12.7675781,9.0263672,10.5805664z   M6.0307617,20.8319702C6.2562256,18.0820313,9.1723633,16.046875,13,16.046875s6.7437744,2.0351563,6.9692383,4.7850952  C18.1130981,22.4855347,15.6757202,23.5,13,23.5S7.8869019,22.4855347,6.0307617,20.8319702z"
                    )" />
                @if (Model != null && (Model.DraftReviews > 0 || Model.ClaimableReviews > 0))
                {
                    <circle cx="21.5" cy="4.5" r="4" fill="#ffc107" />
                }
                else if (Model?.DraftEdits > 0)
                {
                    <circle cx="21.5" cy="4.5" r="4" stroke="white" fill="#346995" />
                }
            </svg>
        </a>
        <div class="dropdown-menu" aria-labelledby="navbarDropdown">
            @if (SignInManager.IsSignedIn(User))
            {
                var safaMemberNumber = User.Claims.FirstOrDefault(c => c.Type == Permissions.SafaMemberNumberClaimType)?.Value;
                if (safaMemberNumber != null)
                {
                    <h6 class="dropdown-header">@User.Identity.Name<br />SAFA @safaMemberNumber</h6>
                }
                else
                {
                    <h6 class="dropdown-header">@User.Identity.Name</h6>
                }
                @if (Model.DraftEdits > 0)
                {
                    <a class="dropdown-item" asp-controller="Edit" asp-action="Drafts" title="View my draft edits">
                        Draft Edits <span class="badge badge-primary">@Model.DraftEdits</span>
                    </a>
                }
                @if (Model.SubmittedEdits > 0)
                {
                    <a class="dropdown-item" asp-controller="Edit" asp-action="Submissions" title="View my submitted edits">
                        Submitted Edits <span class="badge badge-light">@Model.SubmittedEdits</span>
                    </a>
                }
                @if (Model.ClaimableReviews > 0)
                {
                    <a class="dropdown-item" asp-controller="Edit" asp-action="ClaimableReviews" title="View available reviews">
                        Available Reviews <span class="badge badge-warning">@Model.ClaimableReviews</span>
                    </a>
                }
                @if (Model.DraftReviews > 0)
                {
                    <a class="dropdown-item" asp-controller="Edit" asp-action="Drafts" asp-route-filter="reviews" title="View my draft reviews">
                        Draft Reviews <span class="badge badge-warning">@Model.DraftReviews</span>
                    </a>
                }
                <a class="dropdown-item" asp-area="Identity" asp-page="/Account/Manage/Index" title="Manage account @User.Identity.Name">
                    Account
                </a>
                @if (Permissions.IsAdmin(User))
                {
                    <a class="dropdown-item" asp-controller="Admin" asp-action="Index">Admin</a>
                }
                <form class="form-inline" asp-area="Identity" asp-page="/Account/Logout" asp-route-returnUrl="@Url.Action("Index", "Home", new { area = "" })">
                    <button type="submit" class="dropdown-item">Logout</button>
                </form>
            }
            else
            {
                <a class="dropdown-item" asp-area="Identity" asp-page="/Account/Login">Login</a>
                <a class="dropdown-item" asp-area="Identity" asp-page="/Account/Register">Register</a>
            }
        </div>
    </li>
</ul>